%define module waitress

Name:           python-%{module}
Version:        0.8.10
Release:        %mkrel 2
Summary:        Waitress WSGI server
License:        BSD
Group:          Development/Python
URL:            https://github.com/Pylons/waitress
Source0:        https://pypi.python.org/packages/source/w/%{module}/%{module}-%{version}.tar.gz
BuildRequires:  pkgconfig(python2)
BuildRequires:  pythonegg(2)(setuptools)
BuildArch:      noarch

%description
Waitress is meant to be a production-quality pure-Python WSGI server
with very acceptable performance. It has no dependencies except ones
which live in the Python standard library. It runs on CPython on Unix
and Windows under Python 2.6+ and Python 3.2+. It is also known to run
on PyPy 1.6.0+ on UNIX. It supports HTTP/1.0 and HTTP/1.1.

%files
%{_bindir}/waitress-serve
%{python2_sitelib}/%{module}*

#--------------------------------------------------------------------

%package -n     python3-%{module}
Summary:        Waitress WSGI server
Group:          Development/Python
BuildRequires:  pkgconfig(python3)
BuildRequires:  pythonegg(3)(setuptools)
BuildArch:      noarch

%description -n python3-%{module}
Waitress is meant to be a production-quality pure-Python WSGI server
with very acceptable performance. It has no dependencies except ones
which live in the Python standard library. It runs on CPython on Unix
and Windows under Python 2.6+ and Python 3.2+. It is also known to run
on PyPy 1.6.0+ on UNIX. It supports HTTP/1.0 and HTTP/1.1.

%files -n python3-%{module}
%{_bindir}/python3-waitress-serve
%{python3_sitelib}/%{module}*

#--------------------------------------------------------------------

%prep
%setup -q -n %{module}-%{version}

# Remove bundled egg-info
rm -rf %{module}.egg-info

cp -a . %{py3dir}

%build
%py2_build

pushd %{py3dir}
%py3_build
popd

%install
pushd %{py3dir}
%py3_install
mv %{buildroot}%{_bindir}/waitress-serve %{buildroot}%{_bindir}/python3-waitress-serve
popd

%py2_install



%changelog
* Sat Feb 20 2016 umeabot <umeabot> 0.8.10-2.mga6
+ Revision: 971708
- Mageia 6 Mass Rebuild

* Sat Oct 17 2015 daviddavid <daviddavid> 0.8.10-1.mga6
+ Revision: 892340
- new version: 0.8.10
- add python3 package
- use new python macros

* Wed Oct 15 2014 umeabot <umeabot> 0.8.5-7.mga5
+ Revision: 745829
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.8.5-6.mga5
+ Revision: 729964
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.8.5-5.mga5
+ Revision: 688411
- Mageia 5 Mass Rebuild

  + pterjan <pterjan>
    - Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 0.8.5-3.mga4
+ Revision: 544532
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.8.5-2.mga4
+ Revision: 499713
- Rebuild to add different pythonegg provides for python 2 and 3

* Thu Aug 01 2013 neoclust <neoclust> 0.8.5-1.mga4
+ Revision: 462037
- imported package python-waitress

